/**************************************************************************/
/* GF95 ( DBセット基準書 )                                                */
/*                                                                        */
/* Created : 2012/03/27 19:47:25                                          */
/**************************************************************************/
CREATE TABLE GF95 (
   SYSTEM_ID  VARCHAR(10)                               /* 10  システムID     */
 , PGID       VARCHAR(30)                 NOT NULL      /* 20  PG-ID          */
 , NMSYORI    VARCHAR(100)                              /* 30  処理グループ名 */
 , SEQ        NUMERIC(7)      DEFAULT 0   NOT NULL      /* 40  順             */
 , TABLE_NAME VARCHAR(50)                 NOT NULL      /* 50  テーブル名     */
 , CLM        VARCHAR(30)                               /* 60  項目           */
 , MOTO       VARCHAR(30)                               /* 70  入力元         */
 , ADDACT     VARCHAR(500)                              /* 80  追加時         */
 , MODIACT    VARCHAR(500)                              /* 90  更新時         */
 , DELACT     VARCHAR(500)                              /* 100 削除時         */
 , UNIQ       BIGINT                      NOT NULL      /* 110 ユニークキー   */
 , FGJ        VARCHAR(1)      DEFAULT '1' NOT NULL      /* 120 状態フラグ     */
 , DYSET      VARCHAR(14)                               /* 130 登録日時       */
 , PGSET      VARCHAR(10)                               /* 140 作成PG         */
 , PGPSET     VARCHAR(10)                               /* 150 作成親PG       */
 , USRSET     VARCHAR(10)                               /* 160 作成社員       */
 , DYUPD      VARCHAR(14)                               /* 170 更新日時       */
 , PGUPD      VARCHAR(10)                               /* 180 更新PG         */
 , PGPUPD     VARCHAR(10)                               /* 190 更新親PG       */
 , USRUPD     VARCHAR(10)                               /* 200 更新者         */
);

CREATE SEQUENCE GF95S00 ;


CREATE TRIGGER GF95T00 FOR GF95
  BEFORE INSERT 
  AS BEGIN 
    NEW.UNIQ = GEN_ID( GF95S00,1 );
  END; 


